org.apache.tomcat.util.net.openssl

## Class OpenSSLProtocols

- java.lang.Object
- - org.apache.tomcat.util.net.openssl.OpenSSLProtocols

-     public class OpenSSLProtocols
      extends Object

  Get SSL protocols in the right preference order

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenSSLProtocols(String preferredJSSEProto)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getProtocols()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenSSLProtocols

          public OpenSSLProtocols(String preferredJSSEProto)

  - ### Method Detail

    - #### getProtocols

          public String[] getProtocols()

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.